baseline.fillPeaks {baseline} | R Documentation

## Fill peaks

### Description

An iterative algorithm using suppression of baseline by means in local windows

### Usage

    baseline.fillPeaks(spectra, lambda, hwi, it, int)

### Arguments

`spectra` | Matrix with spectra in rows
`lambda` | 2nd derivative penalty for primary smoothing
`hwi` | Half width of local windows
`it` | Number of iterations in suppression loop
`int` | Number of buckets to divide spectra into

### Details

In local windows of buckets the minimum of the mean and the previous iteration is chosen as the new baseline

### Value

`baseline` | Matrix of baselines corresponding to spectra `spectra`
`corrected` | Matrix of baseline corrected spectra

### Author(s)

Kristian Hovde Liland and Bjørn-Helge Mevik

### Examples

    data(milk)
    bc.fillPeaks <- baseline(milk$spectra[1,, drop=FALSE], lambda=6,
    	hwi=50, it=10, int=2000, method='fillPeaks')
    ## Not run:
    	plot(bc.fillPeaks)

    ## End(Not run)

[Package baseline version 1.2-1 Index]